<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Carbon
 */

$error_title       = stag_theme_mod( 'error_page', 'error-title' );
$error_description = stag_theme_mod( 'error_page', 'error-description' );
$error_page_bg     = stag_theme_mod( 'error_page', 'error-page-background' );

get_header(); ?>

<div class="article-cover">
	<div class="article-cover__background"></div>

	<?php if ( '' != $error_page_bg ) : ?>
	<style type="text/css">.article-cover__background { background-image: url(<?php echo esc_url( $error_page_bg ); ?>); }</style>
	<?php endif; ?>

	<div class="article-cover__inner">
		<div class="article-cover__content">

			<div class="entry-header">
				<?php if ( '' != $error_title ) : ?>
				<h1 class="entry-title"><?php echo esc_attr( $error_title ); ?></h1>
				<?php endif; ?>
			</div>

			<?php if ( '' != $error_title ) : ?>
			<div class="entry-content">
				<?php echo apply_filters( 'the_content', $error_description ); ?>
			</div>
			<?php endif; ?>

		</div><!-- .article-cover__content -->
	</div><!-- .article-cover__inner -->

</div><!-- .article-cover -->

<?php get_footer(); ?>
