<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Carbon
 */

$has_footer_menu = has_nav_menu( 'footer' );
$grid_class = $has_footer_menu ? 'grid__col--1-of-2' : 'grid__col--2-of-2';

$footer_text = stag_theme_mod( 'footer', 'footer-text' );
$hide_credit = stag_theme_mod( 'footer', 'hide-theme-credit' );

?>

	</div><!-- #content -->

</div><!-- #page -->

<footer id="colophon" class="site-footer" role="contentinfo">

	<div class="container">

		<div class="grid">

			<div class="grid__col <?php echo esc_attr( $grid_class ); ?> site-info">
				<?php if ( $footer_text ) : ?>
				<p><?php echo stag_sanitize_text( $footer_text ); ?></p>
				<?php endif; ?>

				<?php if ( false == $hide_credit ) : ?>
				<p>
					<a href="<?php echo esc_url( __( 'http://wordpress.org/', 'carbon' ) ); ?>"><?php printf( esc_html__( 'Proudly powered by %s', 'carbon' ), 'WordPress' ); ?></a>
					<span class="sep"> | </span>
					<?php printf( esc_html__( 'Theme: %1$s by %2$s.', 'carbon' ), 'Carbon', '<a href="https://codestag.com" rel="designer">Codestag</a>' ); ?>
				</p>
				<?php endif; ?>
			</div>

			<?php if ( $has_footer_menu ) : ?>
			<div class="grid__col <?php echo esc_attr( $grid_class ); ?> footer-menu">
				<?php
					wp_nav_menu( array(
						'theme_location' => 'footer',
						'depth' => -1,
					) );
				?>
			</div>
			<?php endif; ?>

		</div>

	</div>

</footer><!-- #colophon -->

<?php wp_footer(); ?>

</body>
</html>
