<?php
/**
 * Easy Digital Downloads Theme Updater
 *
 * @package EDD Theme Updater
 */

// Includes the files needed for the theme updater.
if ( ! class_exists( 'EDD_Theme_Updater_Admin' ) ) {
	include( dirname( __FILE__ ) . '/theme-updater-admin.php' );
}

// Loads the updater classes.
$updater = new EDD_Theme_Updater_Admin(

	// Config settings.
	$config = array(
		'remote_api_url' => 'https://codestag.com',
		'item_name'      => 'Carbon',
		'theme_slug'     => 'carbon',
		'version'        => CARBON_VERSION,
		'author'         => 'Codestag',
	),
	// Strings.
	$strings = array(
		'theme-license'             => __( 'Theme License', 'carbon' ),
		'enter-key'                 => __( 'Enter your theme license key.', 'carbon' ),
		'license-key'               => __( 'License Key', 'carbon' ),
		'license-action'            => __( 'License Action', 'carbon' ),
		'deactivate-license'        => __( 'Deactivate License', 'carbon' ),
		'activate-license'          => __( 'Activate License', 'carbon' ),
		'status-unknown'            => __( 'License status is unknown.', 'carbon' ),
		'renew'                     => __( 'Renew?', 'carbon' ),
		'unlimited'                 => __( 'unlimited', 'carbon' ),
		'license-key-is-active'     => __( 'License key is active.', 'carbon' ),
		'expires%s'                 => __( 'Expires %s.', 'carbon' ),
		'%1$s/%2$-sites'            => __( 'You have %1$s / %2$s sites activated.', 'carbon' ),
		'license-key-expired-%s'    => __( 'License key expired %s.', 'carbon' ),
		'license-key-expired'       => __( 'License key has expired.', 'carbon' ),
		'license-keys-do-not-match' => __( 'License keys do not match.', 'carbon' ),
		'license-is-inactive'       => __( 'License is inactive.', 'carbon' ),
		'license-key-is-disabled'   => __( 'License key is disabled.', 'carbon' ),
		'site-is-inactive'          => __( 'Site is inactive.', 'carbon' ),
		'license-status-unknown'    => __( 'License status is unknown.', 'carbon' ),
		'update-notice'             => __( "Updating this theme will lose any customizations you have made. 'Cancel' to stop, 'OK' to update.", 'carbon' ),
		'update-available'          => __('<strong>%1$s %2$s</strong> is available. <a href="%3$s" class="thickbox" title="%4s">Check out what\'s new</a> or <a href="%5$s"%6$s>update now</a>.', 'carbon' )
	)
);
